# Generated by Django 2.0.4 on 2018-04-16 13:36

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CpacRssFeeds',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(default='', max_length=255)),
                ('publication', models.CharField(default='', max_length=255)),
                ('active', models.BooleanField()),
            ],
            options={
                'db_table': '"cpac_rss_feeds"',
                'verbose_name_plural': 'CpacRssFeeds',
            },
        ),
        migrations.CreateModel(
            name='FeederJobs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cpac_num_articles', models.IntegerField()),
                ('cpac_num_feed_articles', models.IntegerField()),
                ('cpac_num_feeds', models.IntegerField()),
                ('persona_num_articles_total', models.IntegerField()),
                ('persona_num_feeds_articles', models.IntegerField()),
                ('persona_num_feeds', models.IntegerField()),
                ('job_types', models.CharField(default='', max_length=30)),
            ],
            options={
                'db_table': 'feeder_jobs',
                'verbose_name_plural': 'FeederJobs',
            },
        ),
        migrations.CreateModel(
            name='FeederProcessedArticlesUrls',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(default='', max_length=255)),
                ('job', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='personas.FeederJobs')),
            ],
            options={
                'db_table': 'feeder_processed_articles_urls',
                'verbose_name_plural': 'FeederProcessedArticlesUrls',
            },
        ),
        migrations.CreateModel(
            name='PersonaPublicationJunction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('publication', models.CharField(default='', max_length=100)),
            ],
            options={
                'db_table': 'persona_publication_junction',
                'verbose_name_plural': 'PersonaPublicationJunction',
            },
        ),
        migrations.CreateModel(
            name='Personas',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=455)),
                ('active', models.BooleanField()),
                ('inclusion_terms', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('exclusion_terms', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
            ],
            options={
                'db_table': 'personas',
                'verbose_name_plural': 'Personas',
            },
        ),
        migrations.AddField(
            model_name='personapublicationjunction',
            name='persona',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='personas.Personas'),
        ),
        migrations.AddField(
            model_name='personapublicationjunction',
            name='rss_feed',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='personas.CpacRssFeeds'),
        ),
        migrations.AddField(
            model_name='feederprocessedarticlesurls',
            name='personas',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='personas.Personas'),
        ),
        migrations.AddField(
            model_name='feederprocessedarticlesurls',
            name='rss_feed',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='personas.CpacRssFeeds'),
        ),
        migrations.AlterUniqueTogether(
            name='personapublicationjunction',
            unique_together={('publication', 'persona', 'rss_feed')},
        ),
    ]
